DOCS
Dashboardnorth_eastGet an API keyvpn_key
PAI Chat·Endpoint
GET/prompt-templates

Retrieve all prompt templates

Retrieve all prompt templates

POST/prompt-templatesarrow_forward
tune
Parameters
sectionquery
stringcommunication_style · context_and_clarification · content_and_sources · spam · other
Filter by prompt template section
chatbotTypequery
stringchat · support
Filter by chatbot type
double_arrow
Returns 200
Array of objects.
report
Errors
StatusDescription
500Default Response
north_east
Request
curl -X GET 'https://chat-api-dev.paicloud.ai//prompt-templates' \
  -H 'Authorization: Bearer YOUR_API_TOKEN'
south_west
Response
200 OK
application/json
[
  {
    "id": "00000000-0000-0000-0000-000000000001",
    "type": "dynamic",
    "name": "name",
    "trigger": "trigger",
    "content": "content",
    "section": "communication_style",
    "chatbotType": "chat",
    "createdAt": "2026-01-01T00: 00:00Z",
    "updatedAt": "2026-01-01T00: 00:00Z"
  }
]